Public Attributes | List of all members
gap_dev_info_t Union Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Device info. More...

`#include <ble_gapc.h>`

## Public Attributes
gap_dev_version_ind_t | dev_version
| Version info. More...
gap_get_bd_addr_t | get_bd_addr
| Device BD address info. More...
gap_dev_adv_tx_power_t | adv_tx_power
| Advertising TX power info. More...
gap_sugg_dflt_data_len_t | sugg_dflt_data_len
| Suggested default data length info. More...
gap_max_data_len_t | max_data_len
| Suggested MAX data length info. More...
gap_nb_adv_sets_t | nb_adv_sets
| Number of available advertising sets. More...
gap_max_adv_data_len_ind_t | max_adv_data_len
| Maximum advertising data length info. More...
gap_dev_tx_power_t | dev_tx_power
| Device TX power info. More...
gap_dev_rf_path_comp_ind_t | dev_rf_path_comp
| RF path compensation values. More...

## Detailed Description

Device info.

Definition at line 279 of file ble_gapc.h.

## Member Data Documentation

## ◆ adv_tx_power

gap_dev_adv_tx_power_t gap_dev_info_t::adv_tx_power

Advertising TX power info.

Definition at line 283 of file ble_gapc.h.

## ◆ dev_rf_path_comp

gap_dev_rf_path_comp_ind_t gap_dev_info_t::dev_rf_path_comp

RF path compensation values.

Definition at line 289 of file ble_gapc.h.

## ◆ dev_tx_power

gap_dev_tx_power_t gap_dev_info_t::dev_tx_power

Device TX power info.

Definition at line 288 of file ble_gapc.h.

## ◆ dev_version

gap_dev_version_ind_t gap_dev_info_t::dev_version

Version info.

Definition at line 281 of file ble_gapc.h.

## ◆ get_bd_addr

gap_get_bd_addr_t gap_dev_info_t::get_bd_addr

Device BD address info.

Definition at line 282 of file ble_gapc.h.

## ◆ max_adv_data_len

gap_max_adv_data_len_ind_t gap_dev_info_t::max_adv_data_len

Maximum advertising data length info.

Definition at line 287 of file ble_gapc.h.

## ◆ max_data_len

gap_max_data_len_t gap_dev_info_t::max_data_len

Suggested MAX data length info.

Definition at line 285 of file ble_gapc.h.

## ◆ nb_adv_sets

gap_nb_adv_sets_t gap_dev_info_t::nb_adv_sets

Number of available advertising sets.

Definition at line 286 of file ble_gapc.h.

## ◆ sugg_dflt_data_len

gap_sugg_dflt_data_len_t gap_dev_info_t::sugg_dflt_data_len

Suggested default data length info.

Definition at line 284 of file ble_gapc.h.

The documentation for this union was generated from the following file:

- ble_gapc.h